Loading...
Searching...
No Matches
caf::downstream_msg::batch Struct Reference

Transmits stream data. More...

`#include <downstream_msg.hpp>`

## Public Types

using | outer_type = downstream_msg
| Allows the testing DSL to unbox this type automagically.

## Public Attributes

int32_t | xs_size
| Size of the type-erased vector<T> (used credit).
message | xs
| A type-erased vector<T> containing the elements of the batch.
int64_t | id
| ID of this batch (ascending numbering).

## Related Symbols

(Note that these are not member symbols.)
template<class Inspector>
Inspector::result_type | inspect (Inspector &f, downstream_msg::batch &x)

## Detailed Description

Transmits stream data.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/downstream_msg.hpp